// gnome.xonotic.in.ua

models/mapobjects/multiplant/fern
{
	surfaceparm alphashadow
	cull none
	nopicmip
	{
		map models/mapobjects/multiplant/fern.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identitylighting
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

models/mapobjects/multiplant/invisible
{
	surfaceparm alphashadow
	surfaceparm nolightmap
	{
		map models/mapobjects/multiplant/invisible.tga
		alphafunc ge128
		depthwrite
		rgbgen vertex
	}
}

models/mapobjects/nateleaf1/tree2
{
	cull disable
	surfaceparm alphashadow
	{
		map models/mapobjects/nateleaf1/tree2.tga
		alphafunc ge128
		depthwrite
		rgbgen vertex
	}
}

models/mapobjects/reaction/furniture/sofa24_256x128
{
	q3map_forcemeta
	q3map_clipmodel
	q3map_splotchfix
	q3map_nonplanar
	q3map_shadeangle 120
	q3map_lightmapsamplesize 4
	{
		map $lightmap
		tcgen lightmap
		rgbgen identity
	}
	{
		map models/mapobjects/reaction/furniture/sofa24_256x128.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

models/mapobjects/reaction/urban/e7grate01
{
	q3map_forcemeta
	q3map_clipmodel
	q3map_splotchfix
	q3map_nonplanar
	q3map_shadeangle 45
	q3map_lightmapsamplesize 4
	cull none
	surfaceparm metal2
	{
		map models/mapobjects/reaction/urban/e7grate01.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

models/mapobjects/reaction/urban/fan_blades
{
	q3map_forcemeta
	q3map_clipmodel
	q3map_splotchfix
	q3map_nonplanar
	q3map_shadeangle 45
	q3map_lightmapsamplesize 4
	cull none
	surfaceparm metal2
	{
		map $lightmap
		tcgen lightmap
		rgbgen identity
	}
	{
		map models/mapobjects/reaction/urban/fan_blades.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

models/mapobjects/reaction/urban/fan_shroud
{
	q3map_forcemeta
	q3map_clipmodel
	q3map_splotchfix
	q3map_nonplanar
	q3map_shadeangle 45
	q3map_lightmapsamplesize 4
	cull none
	surfaceparm metal2
	{
		map $lightmap
		tcgen lightmap
		rgbgen identity
	}
	{
		map models/mapobjects/reaction/urban/streaked_metal.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

models/mapobjects/reaction/urban/metal_wall_std
{
	q3map_forcemeta
	q3map_clipmodel
	q3map_splotchfix
	q3map_nonplanar
	q3map_shadeangle 45
	q3map_lightmapsamplesize 4
	surfaceparm metal2
	{
		map $lightmap
		tcgen lightmap
		rgbgen identity
	}
	{
		map models/mapobjects/reaction/urban/metal_wall_std.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

models/mapobjects/reaction/urban/rt_corrlt2
{
	q3map_forcemeta
	q3map_clipmodel
	q3map_splotchfix
	q3map_nonplanar
	q3map_shadeangle 45
	q3map_lightmapsamplesize 4
	surfaceparm metal2
	{
		map $lightmap
		tcgen lightmap
		rgbgen identity
	}
	{
		map models/mapobjects/reaction/urban/rt_corrlt2.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

models/mapobjects/reaction/urban/rust_1
{
	q3map_forcemeta
	q3map_clipmodel
	q3map_splotchfix
	q3map_nonplanar
	q3map_shadeangle 45
	q3map_lightmapsamplesize 4
	surfaceparm metal2
	{
		map $lightmap
		tcgen lightmap
		rgbgen identity
	}
	{
		map models/mapobjects/reaction/urban/rust_1.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

models/mapobjects/reaction/urban/tower_base
{
	q3map_forcemeta
	q3map_clipmodel
	q3map_splotchfix
	q3map_nonplanar
	q3map_shadeangle 45
	q3map_lightmapsamplesize 4
	surfaceparm metal2
	{
		map $lightmap
		tcgen lightmap
		rgbgen identity
	}
	{
		map models/mapobjects/reaction/urban/fan_blades.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

models/mapobjects/reaction/urban/vent_base
{
	q3map_forcemeta
	q3map_clipmodel
	q3map_splotchfix
	q3map_nonplanar
	q3map_shadeangle 85
	q3map_lightmapsamplesize 2
	{
		map $lightmap
		tcgen lightmap
		rgbgen identity
	}
	{
		map models/mapobjects/reaction/urban/vent_base.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

models/mapobjects/reaction/urban/vent_blades
{
	q3map_forcemeta
	q3map_clipmodel
	q3map_splotchfix
	q3map_nonplanar
	q3map_shadeangle 120
	q3map_lightmapsamplesize 2
	{
		map $lightmap
		tcgen lightmap
		rgbgen identity
	}
	{
		map models/mapobjects/reaction/urban/vent_blades.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
		tcmod scroll 1.0 0
	}
}

noshader
{
	surfaceparm trans
	surfaceparm nomarks
	cull none
	{
		map noshader.tga
		tcmod scale 1.0 1.0
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		depthfunc equal
		rgbgen identity
	}
}

textures/base_light/ceil1_38_10k
{
	qer_editorimage textures/base_light/ceil1_38.tga
	surfaceparm nomarks
	q3map_surfacelight 10000
	light 1
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_light/ceil1_38.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/base_light/ceil1_38.blend.tga
		blendfunc gl_one gl_one
	}
}

textures/base_light/ceil1_38_50k
{
	qer_editorimage textures/base_light/ceil1_38.tga
	surfaceparm nomarks
	q3map_surfacelight 50000
	light 1
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_light/ceil1_38.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/base_light/ceil1_38.blend.tga
		blendfunc gl_one gl_one
	}
}

textures/base_light/ceil_white5k
{
	qer_editorimage textures/base_light/ceil1_38.tga
	surfaceparm nomarks
	q3map_surfacelight 5000
	light 1
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_light/ceil1_38.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/base_light/ceil1_38.blend.tga
		blendfunc gl_one gl_one
	}
}

textures/bathhouse/bathhousewater
{
	qer_editorimage textures/bathhouse/bathhouse_pool
	qer_trans .5
	q3map_globaltexture
	q3map_lightimage textures/bathhouse/bathhouse_pool.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	surfaceparm nolightmap
	cull disable
	q3map_surfacelight 50
	deformvertexes wave 64 sin .5 .5 0 .5
	tesssize 32
	{
		map textures/bathhouse/bathhouse_pool.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		rgbgen identity
		tcmod scale .5 .5
		tcmod transform 1.5 0 1.5 1 1 2
		tcmod scroll -.05 .01
	}
	{
		map textures/bathhouse/pj_e3_reflection2b.tga
		blendfunc gl_dst_color gl_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod transform 0 1.5 1 1.5 2 1
		tcmod scroll -.05 .005
	}
	{
		map textures/bathhouse/pj_e3_reflection2b.tga
		blendfunc gl_dst_color gl_one
		rgbgen identity
		tcmod turb 0 0.5 0 0.001
		tcmod scale .5 .5
		tcmod scroll .01 .05
	}
}

textures/bathhouse/breakableglass
{
	qer_trans 0.40
	q3map_lightimage textures/bathhouse/frglassfx.tga
	qer_editorimage textures/bathhouse/breakableglass.tga
	surfaceparm alphashadow
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm glass
	q3map_bounce 0
	{
		map textures/bathhouse/bh_glassfx.tga
		blendfunc gl_one gl_one
		tcgen environment
		rgbgen identity
	}
}

textures/bathhouse/brick58_512x512
{
	surfaceparm rq3_brick
	{
		map textures/mp_brick/brick58_512x512.tga
		rgbgen identity
	}
	{
		map textures/undule_detail/twplaster.tga
		blendfunc gl_zero gl_one_minus_src_color
		rgbgen identity
		tcmod scale .5 .5
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/bathhouse/ceil1_38_10k
{
	qer_editorimage textures/base_light/ceil1_38.tga
	surfaceparm nomarks
	q3map_surfacelight 5000
	q3map_lightsubdivide 16
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_light/ceil1_38.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/base_light/ceil1_38.blend.tga
		blendfunc gl_one gl_one
	}
}

textures/bathhouse/dtr3_ironwork
{
	surfaceparm metal2
	cull none
	{
		map textures/bathhouse/dtr3_ironwork.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/bathhouse/externalwall78_material_256x256
{
	surfaceparm rq3_cement
	{
		map textures/mp_externalwall/externalwall78_material_256x256.tga
		rgbgen identity
	}
	{
		map textures/undule_detail/twplaster.tga
		blendfunc gl_zero gl_one_minus_src_color
		rgbgen identity
		tcmod scale .5 .5
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/bathhouse/fog_grey
{
	qer_editorimage textures/sfx/fog_grey.tga
	qer_trans 0.75
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm noimpact
	surfaceparm trans
	surfaceparm fog
	fogparms ( 0.533333 0.5 0.470588 ) 1536
	{
		map *white
		blendfunc gl_zero gl_one
	}
}

textures/bathhouse/foghull_grey
{
	qer_trans 0.75
	surfaceparm nolightmap
	surfaceparm noimpact
	q3map_nofast
	q3map_sunext 0.533333 0.5 0.470588 70 220 60 2 16
	q3map_lightmapfilterradius 0 64
	q3map_skylight 70 3
	surfaceparm sky
	{
		map $whiteimage
		blendfunc gl_zero gl_one
	}
}

textures/bathhouse/light5_10k
{
	qer_editorimage textures/base_light/light5.tga
	q3map_lightimage textures/base_light/xlight5.blend.tga
	surfaceparm nomarks
	q3map_surfacelight 10000
	q3map_lightsubdivide 8
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_light/xlight5.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/base_light/xlight5.blend.tga
		blendfunc gl_one gl_one
	}
}

textures/bathhouse/metal_girder
{
	q3map_lightimage textures/bathhouse/metal_girder.tga
	surfaceparm trans
	surfaceparm metal2
	cull none
	{
		map textures/bathhouse/metal_girder.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/bathhouse/pewter_spec
{
	surfaceparm metal2
	{
		map textures/bathhouse/pewter_spec.tga
		rgbgen identity
		alphagen lightingspecular
	}
	{
		map textures/bathhouse/pj_e3_reflection2b.tga
		blendfunc gl_dst_color gl_one
		rgbgen identity
		tcmod scale .1 .1
		tcmod transform 0 1.5 1 1.5 2 1
		tcmod scroll -.05 .005
	}
	{
		map textures/bathhouse/pool3d_6e.tga
		blendfunc gl_dst_color gl_one
		rgbgen identity
		tcmod scale .05 .05
		tcmod transform 0 1.5 1 1.5 2 1
		tcmod scroll .05 -.005
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
	}
}

textures/bathhouse/tile31a
{
	{
		map textures/bathhouse/tile31a.tga
		rgbgen identity
	}
	{
		map textures/bathhouse/pj_e3_reflection2b.tga
		blendfunc gl_dst_color gl_one
		rgbgen identity
		tcmod scale .1 .1
		tcmod transform 0 1.5 1 1.5 2 1
		tcmod scroll -.05 .005
	}
	{
		map textures/bathhouse/pool3d_6e.tga
		blendfunc gl_dst_color gl_one
		rgbgen identity
		tcmod scale .05 .05
		tcmod transform 0 1.5 1 1.5 2 1
		tcmod scroll .05 -.005
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
	}
}

textures/bathhouse/tile32_2b
{
	{
		map textures/bathhouse/tile32_2b.tga
		rgbgen identity
	}
	{
		map textures/bathhouse/pj_e3_reflection2b.tga
		blendfunc gl_dst_color gl_one
		rgbgen identity
		tcmod scale .1 .1
		tcmod transform 0 1.5 1 1.5 2 1
		tcmod scroll -.05 .005
	}
	{
		map textures/bathhouse/pool3d_6e.tga
		blendfunc gl_dst_color gl_one
		rgbgen identity
		tcmod scale .05 .05
		tcmod transform 0 1.5 1 1.5 2 1
		tcmod scroll .05 -.005
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
	}
}

textures/bathhouse/tile36b_a
{
	{
		map textures/bathhouse/tile36b_a.tga
		rgbgen identity
	}
	{
		map textures/bathhouse/pj_e3_reflection2b.tga
		blendfunc gl_dst_color gl_one
		rgbgen identity
		tcmod scale .1 .1
		tcmod transform 0 1.5 1 1.5 2 1
		tcmod scroll -.05 .005
	}
	{
		map textures/bathhouse/pool3d_6e.tga
		blendfunc gl_dst_color gl_one
		rgbgen identity
		tcmod scale .05 .05
		tcmod transform 0 1.5 1 1.5 2 1
		tcmod scroll .05 -.005
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
	}
}

textures/bathhouse/tile42_256x512
{
	{
		map textures/bathhouse/tile42_256x512.tga
		rgbgen identity
	}
	{
		map textures/bathhouse/pj_e3_reflection2b.tga
		blendfunc gl_dst_color gl_one
		rgbgen identity
		tcmod scale .1 .1
		tcmod transform 0 1.5 1 1.5 2 1
		tcmod scroll -.05 .005
	}
	{
		map textures/bathhouse/pool3d_6e.tga
		blendfunc gl_dst_color gl_one
		rgbgen identity
		tcmod scale .05 .05
		tcmod transform 0 1.5 1 1.5 2 1
		tcmod scroll .05 -.005
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
	}
}

textures/bathhouse/tinted_glass
{
	qer_trans 0.75
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm glass
	cull none
	{
		map textures/bathhouse/tinted_glass.tga
		blendfunc blend
		tcgen environment
		rgbgen identity
	}
}

textures/common/botclip
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm botclip
}

textures/common/caulk
{
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nomarks
}

textures/common/clip
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm playerclip
}

textures/common/clusterportal
{
	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm detail
	surfaceparm clusterportal
}

textures/common/fogcaulk
{
	qer_trans 0.45
	q3map_noclip
	surfaceparm trans
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm nolightmap
}

textures/common/hint
{
	qer_nocarve
	qer_trans 0.30
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm structural
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm hint
}

textures/common/nodraw
{
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
}

textures/common/trigger
{
	qer_trans 0.50
	qer_nocarve
	surfaceparm nodraw
}

textures/common/weapclip
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
}

textures/friction/roof_railing
{
	surfaceparm trans
	cull none
	nopicmip
	qer_editorimage textures/friction/roof_railing.tga
	{
		map textures/friction/roof_railing.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/ik2k_carpet/ik_rug160256a
{
	qer_editorimage textures/ik2k_carpet/ik_rug160256a.tga
	{
		map textures/ik2k_carpet/ik_rug160256a.tga
		rgbgen identity
	}
	{
		map textures/ik2k_carpet/ik_fabricdetail.tga
		tcmod scale 8 8
		rgbgen identity
		blendfunc gl_dst_color gl_src_color
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
	}
}

textures/ik2k_carpet/ik_rug160256c
{
	qer_editorimage textures/ik2k_carpet/ik_rug160256c.tga
	{
		map textures/ik2k_carpet/ik_rug160256c.tga
		rgbgen identity
	}
	{
		map textures/ik2k_carpet/ik_fabricdetail.tga
		tcmod scale 8 8
		rgbgen identity
		blendfunc gl_dst_color gl_src_color
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
	}
}

textures/q3hh2/2_conc_wall01
{
	surfaceparm rq3_cement
	{
		map textures/q3hh2/2_conc_wall01.tga
		rgbgen identity
	}
	{
		map textures/undule_detail/twplaster.tga
		blendfunc gl_zero gl_one_minus_src_color
		rgbgen identity
		tcmod scale .5 .5
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/reaction/ladderclip
{
	qer_trans 0.5
	qer_editorimage textures/reaction/qer_ladder.tga
	surfaceparm playerclip
	surfaceparm ladder
	surfaceparm nodraw
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
}

textures/reaction/weapclipmetal
{
	qer_trans 0.40
	qer_editorimage textures/common/weapclip.tga
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm rq3_metal2
	q3map_bounce 0
}

